function getClientInfo()
  return {
    name = "128分音符より短い音素の削除",
    category = "インポート支援",
    author = "水っぽいスープ",
    versionNumber = 1,
  }
end


function main()
  local NoteGroup = SV:getMainEditor():getCurrentTrack():getGroupReference(1):getTarget()
  local NumNotes = NoteGroup:getNumNotes()
  local i
  local result = 0
  local Dur = 0
  if NumNotes > 1 then
    for i=1, NumNotes do
      if i < NumNotes - result then
        Dur = NoteGroup:getNote(i):getDuration()
        if Dur < 22050000 then
          NoteGroup:removeNote(i)
          result = result + 1
        end
      end
    end
  end

  SV:showMessageBox("result", result.."個のノートを削除しました")
  SV:finish()
end
